Loading...
Searching...
No Matches
elxSupportedImageDimensions.h File Reference
`#include <elxSupportedImageTypes.h>`
`#include <utility>`
Include dependency graph for elxSupportedImageDimensions.h:

Go to the source code of this file.

## Data Structures

struct | elastix::FixedImageDimensionSupport< VDimension >
struct | elastix::FixedImageDimensionSupport< maxSupportedImageDimension+1 >

## Namespaces

namespace | elastix

## Functions

template<unsigned VDimension>
constexpr bool | elastix::SupportsFixedDimension ()
template<unsigned VDimension, std::vcl_size_t... VIndex>
constexpr bool | elastix::SupportsFixedDimensionByImageTypeIndexSequence (std::index_sequence< VIndex... >)

## Variables

constexpr unsigned | elastix::maxSupportedImageDimension { 4 }
constexpr unsigned | elastix::minSupportedImageDimension { 2 }
const auto | elastix::SupportedFixedImageDimensionSequence

Generated on 1768596610 for elastix by 1.15.0 |